import Vue from 'vue';
import { format } from 'date-fns';
import Calendar from './calendar.js';
import { _ as __vue_normalize__ } from '../normalize-component-ea49d1b5.js';

//

var script = Vue.extend({
    name: "CalendarWithInput",
    components: { Calendar },
    props: ["disableBefore"],
    data() {
        return {
            isVisible: false,
            selected: ""
        };
    },
    methods: {
        updateDate({ selected }) {
            this.isVisible = false;
            this.selected = format(selected, "yyyy-MM-dd");
            this.$emit("change", { selected });
        }
    }
});

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "div",
    { staticClass: "relative w-1/2" },
    [
      _c("input", {
        staticClass: "border",
        attrs: { type: "text" },
        domProps: { value: _vm.selected },
        on: {
          click: function($event) {
            _vm.isVisible = true;
          }
        }
      }),
      _vm._v(" "),
      _vm.isVisible
        ? _c("calendar", {
            staticClass: "absolute",
            attrs: { disableBefore: _vm.disableBefore },
            on: { change: _vm.updateDate }
          })
        : _vm._e()
    ],
    1
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = __vue_normalize__(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
