import Vue from 'vue';
import { _ as __vue_normalize__ } from '../normalize-component-ea49d1b5.js';

var script = Vue.extend({
    props: ["color", "customColor"]
});

const isOldIE = typeof navigator !== 'undefined' &&
    /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
    return (id, style) => addStyle(id, style);
}
let HEAD;
const styles = {};
function addStyle(id, css) {
    const group = isOldIE ? css.media || 'default' : id;
    const style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
    if (!style.ids.has(id)) {
        style.ids.add(id);
        let code = css.source;
        if (css.map) {
            // https://developer.chrome.com/devtools/docs/javascript-debugging
            // this makes source maps inside style tags work properly in Chrome
            code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
            // http://stackoverflow.com/a/26603875
            code +=
                '\n/*# sourceMappingURL=data:application/json;base64,' +
                    btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                    ' */';
        }
        if (!style.element) {
            style.element = document.createElement('style');
            style.element.type = 'text/css';
            if (css.media)
                style.element.setAttribute('media', css.media);
            if (HEAD === undefined) {
                HEAD = document.head || document.getElementsByTagName('head')[0];
            }
            HEAD.appendChild(style.element);
        }
        if ('styleSheet' in style.element) {
            style.styles.push(code);
            style.element.styleSheet.cssText = style.styles
                .filter(Boolean)
                .join('\n');
        }
        else {
            const index = style.ids.size - 1;
            const textNode = document.createTextNode(code);
            const nodes = style.element.childNodes;
            if (nodes[index])
                style.element.removeChild(nodes[index]);
            if (nodes.length)
                style.element.insertBefore(textNode, nodes[index]);
            else
                style.element.appendChild(textNode);
        }
    }
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", { staticClass: "lds-ellipsis", class: _vm.color }, [
    _c("div", { style: { backgroundColor: _vm.customColor } }),
    _vm._v(" "),
    _c("div", { style: { backgroundColor: _vm.customColor } }),
    _vm._v(" "),
    _c("div", { style: { backgroundColor: _vm.customColor } }),
    _vm._v(" "),
    _c("div", { style: { backgroundColor: _vm.customColor } })
  ])
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = function (inject) {
    if (!inject) return
    inject("data-v-3e2dca36_0", { source: "\n.lds-ellipsis.white div {\n    background-color: #fff;\n}\n.lds-ellipsis.black div {\n    background-color: #000;\n}\n.lds-ellipsis.orange div {\n    background-color: #e95d0f;\n}\n.lds-ellipsis.blue div {\n    background-color: #2b6ee8;\n}\n.lds-ellipsis.gray div {\n    background-color: #5c6e8e;\n}\n.lds-ellipsis.grayLight div {\n    background-color: #5c6e8e;\n    opacity: 0.5;\n}\n.lds-ellipsis {\n    display: inline-block;\n    position: relative;\n    width: 5rem;\n    height: 1rem;\n}\n.lds-ellipsis div {\n    position: absolute;\n    top: calc(50% - 0.5rem);\n    width: 0.7rem;\n    height: 0.7rem;\n    border-radius: 50%;\n    animation-timing-function: cubic-bezier(0, 1, 1, 0);\n}\n.lds-ellipsis div:nth-child(1) {\n    left: 0.2rem;\n    animation: lds-ellipsis1 0.6s infinite;\n}\n.lds-ellipsis div:nth-child(2) {\n    left: 0.2rem;\n    animation: lds-ellipsis2 0.6s infinite;\n}\n.lds-ellipsis div:nth-child(3) {\n    left: 2rem;\n    animation: lds-ellipsis2 0.6s infinite;\n}\n.lds-ellipsis div:nth-child(4) {\n    left: 4rem;\n    animation: lds-ellipsis3 0.6s infinite;\n}\n@keyframes lds-ellipsis1 {\n0% {\n        transform: scale(0);\n}\n100% {\n        transform: scale(1);\n}\n}\n@keyframes lds-ellipsis3 {\n0% {\n        transform: scale(1);\n}\n100% {\n        transform: scale(0);\n}\n}\n@keyframes lds-ellipsis2 {\n0% {\n        transform: translate(0, 0);\n}\n100% {\n        transform: translate(2rem, 0);\n}\n}\n", map: {"version":3,"sources":["/home/leila/Workspace/Projets/nrd-front/src/components/loading.vue"],"names":[],"mappings":";AAiBA;IACA,sBAAA;AACA;AACA;IACA,sBAAA;AACA;AACA;IACA,yBAAA;AACA;AACA;IACA,yBAAA;AACA;AACA;IACA,yBAAA;AACA;AACA;IACA,yBAAA;IACA,YAAA;AACA;AACA;IACA,qBAAA;IACA,kBAAA;IACA,WAAA;IACA,YAAA;AACA;AACA;IACA,kBAAA;IACA,uBAAA;IACA,aAAA;IACA,cAAA;IACA,kBAAA;IACA,mDAAA;AACA;AACA;IACA,YAAA;IACA,sCAAA;AACA;AACA;IACA,YAAA;IACA,sCAAA;AACA;AACA;IACA,UAAA;IACA,sCAAA;AACA;AACA;IACA,UAAA;IACA,sCAAA;AACA;AACA;AACA;QACA,mBAAA;AACA;AACA;QACA,mBAAA;AACA;AACA;AACA;AACA;QACA,mBAAA;AACA;AACA;QACA,mBAAA;AACA;AACA;AACA;AACA;QACA,0BAAA;AACA;AACA;QACA,6BAAA;AACA;AACA","file":"loading.vue","sourcesContent":["<template>\n    <div class=\"lds-ellipsis\" :class=\"color\">\n        <div :style=\"{ backgroundColor: customColor }\" />\n        <div :style=\"{ backgroundColor: customColor }\" />\n        <div :style=\"{ backgroundColor: customColor }\" />\n        <div :style=\"{ backgroundColor: customColor }\" />\n    </div>\n</template>\n\n<script lang=\"ts\">\nimport Vue from \"vue\";\nexport default Vue.extend({\n    props: [\"color\", \"customColor\"]\n});\n</script>\n\n<style>\n.lds-ellipsis.white div {\n    background-color: #fff;\n}\n.lds-ellipsis.black div {\n    background-color: #000;\n}\n.lds-ellipsis.orange div {\n    background-color: #e95d0f;\n}\n.lds-ellipsis.blue div {\n    background-color: #2b6ee8;\n}\n.lds-ellipsis.gray div {\n    background-color: #5c6e8e;\n}\n.lds-ellipsis.grayLight div {\n    background-color: #5c6e8e;\n    opacity: 0.5;\n}\n.lds-ellipsis {\n    display: inline-block;\n    position: relative;\n    width: 5rem;\n    height: 1rem;\n}\n.lds-ellipsis div {\n    position: absolute;\n    top: calc(50% - 0.5rem);\n    width: 0.7rem;\n    height: 0.7rem;\n    border-radius: 50%;\n    animation-timing-function: cubic-bezier(0, 1, 1, 0);\n}\n.lds-ellipsis div:nth-child(1) {\n    left: 0.2rem;\n    animation: lds-ellipsis1 0.6s infinite;\n}\n.lds-ellipsis div:nth-child(2) {\n    left: 0.2rem;\n    animation: lds-ellipsis2 0.6s infinite;\n}\n.lds-ellipsis div:nth-child(3) {\n    left: 2rem;\n    animation: lds-ellipsis2 0.6s infinite;\n}\n.lds-ellipsis div:nth-child(4) {\n    left: 4rem;\n    animation: lds-ellipsis3 0.6s infinite;\n}\n@keyframes lds-ellipsis1 {\n    0% {\n        transform: scale(0);\n    }\n    100% {\n        transform: scale(1);\n    }\n}\n@keyframes lds-ellipsis3 {\n    0% {\n        transform: scale(1);\n    }\n    100% {\n        transform: scale(0);\n    }\n}\n@keyframes lds-ellipsis2 {\n    0% {\n        transform: translate(0, 0);\n    }\n    100% {\n        transform: translate(2rem, 0);\n    }\n}\n</style>\n"]}, media: undefined });

  };
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = __vue_normalize__(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    createInjector,
    undefined,
    undefined
  );

export default __vue_component__;
