declare type Node<T> = {
    next: Node<T> | null;
    value: T;
};
export declare class LinkedList<T> {
    first: Node<T> | null;
    length: number;
    constructor();
    push(v: T): void;
    unshift(): T | undefined;
}
declare class OrderedMap<T, U> {
    map: Map<T, U>;
    order: LinkedList<T>;
    constructor();
    get length(): number;
    has(key: T): boolean;
    get(key: T): U | undefined;
    set(key: T, value: U): void;
    unshift(): void;
}
export declare class Cache<T, U> {
    map: OrderedMap<T, U>;
    maxsize: number;
    constructor(maxsize: number);
    has(key: T): boolean;
    get(key: T): U | undefined;
    get length(): number;
    set(key: T, value: U): void;
}
export declare function memoize<T, U>(func: (arg: T) => U, maxsize?: number): (arg1: T) => U;
export {};
